

import java.net.MalformedURLException;
import java.rmi.Naming;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;
import java.rmi.server.*;
import java.util.ArrayList;


public class AddNode extends UnicastRemoteObject implements AddNodeInterface {

	public StorageNode sNode;
	//private AddNodeThread thread;
	public AddNode(StorageNode storageNode) throws RemoteException {
		this.sNode=storageNode;
		

	}

	public void addNode() throws RemoteException {
		System.out.println("Cluster growing");
		sNode.addNode();
		//AddNodeThread thread=new AddNodeThread(sNode);
		//thread.run();
		


	}

	public void addNodeExtendibleHashing(int activeNodes,int oldNode,int newNode) throws RemoteException{
		sNode.setACTIVE_NODES(activeNodes);
		sNode.splitNode(oldNode,newNode);
		sNode.setIReader();
		sNode.addNode();
		//AddNodeThread thread=new AddNodeThread(sNode);
		//thread.run();
		System.out.println("New node "+ newNode);		
	}

	public void addNodeLinearHashing(int clusterLevel,int activeNodes) throws RemoteException{
		sNode.setClusterLevel(clusterLevel);
		sNode.setACTIVE_NODES(activeNodes);
		sNode.setIReader();
		sNode.addNode();
		//AddNodeThread thread=new AddNodeThread(sNode);
		//thread.run();
		
	}

	public void addNodeRangepartitioning(int activeNodes,ArrayList<Integer> dir) throws RemoteException{
		sNode.setACTIVE_NODES(activeNodes);
		sNode.setIReader();
		sNode.updateNodeTable(dir);

	}

	public void addNodeRush(int activeNodes) throws RemoteException{
		sNode.setACTIVE_NODES(activeNodes);	
		sNode.setIReader();

	}

	public void addNodeScaddar(int activeNodes) throws RemoteException{
		sNode.setACTIVE_NODES(activeNodes);
		sNode.setIReader();

		
	}

	public void addNodeXfs(int activeNodes,ArrayList<Integer> dir) throws RemoteException{
		sNode.setACTIVE_NODES(activeNodes);
		sNode.setIReader();
		sNode.updateNodeTable(dir);
		sNode.updateManager();

		//sNode.updateManager();
		
	}

	public void redistribute() throws RemoteException
	{
		sNode.addNode();
	}

}
