

import java.rmi.*;
import java.util.ArrayList;

public interface AddNodeInterface extends Remote
{
	public void addNode() throws RemoteException;
	
	public void addNodeLinearHashing(int clusterLevel,int activeNodes) throws RemoteException;
	
	public void addNodeExtendibleHashing(int activeNodes,int oldNode,int newNode) throws RemoteException;
	public void addNodeScaddar(int activeNodes) throws RemoteException;
	public void addNodeRush(int activeNodes) throws RemoteException;
	public void addNodeRangepartitioning(int activeNodes,ArrayList<Integer> dir) throws RemoteException;
	public void addNodeXfs(int activeNodes,ArrayList<Integer> dir) throws RemoteException;
	public void redistribute() throws RemoteException;
}
