import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;
import java.util.ArrayList;


public class UpdateManagerMap extends UnicastRemoteObject implements UpdateManagerMapInterface {

	private ManagerMap manager;
	
	public UpdateManagerMap(ManagerMap manager) throws RemoteException
	{
		this.manager=manager;
	}
	
	public void addManagerElements(ArrayList<DirectoryElement> elements) throws RemoteException 
	{
		manager.addToDirectory(elements);
	}

}
