import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;


public class XfsUpdate extends UnicastRemoteObject implements XfsUpdateInterface {

	private StorageNode sNode;
	
	public XfsUpdate(StorageNode sNode) throws RemoteException
	{
		this.sNode=sNode;
	}
	
	public void redistributeToNewNode(int[] docArray) throws RemoteException 
	{
		sNode.redistributedToNewNode(docArray);
	}

}
